Last Comment Bug 521293 - Port |Bug 515777 - move css files, hiddenWindow.html to jar| to comm-central (apps)
: Port |Bug 515777 - move css files, hiddenWindow.html to jar| to comm-central ...
Status: RESOLVED FIXED
: fixed-seamonkey2.0.1
Product: MailNews Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 3.1a1
Assigned To: Serge Gautherie (:sgautherie)
:
Mentors:
Depends on: 515777 522229 522649 524216 530010 532122
Blocks: 523820
  Show dependency treegraph
 
Reported: 2009-10-08 12:50 PDT by Serge Gautherie (:sgautherie)
Modified: 2009-12-09 10:23 PST (History)
1 user (show)
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
(Av1) Update MailNews Core [Checkin: See comment 9] (1.29 KB, patch)
2009-10-22 22:53 PDT, Serge Gautherie (:sgautherie)
standard8: review+
standard8: superreview+
Details | Diff | Splinter Review
(Bv1-SM) Update SeaMonkey (8.94 KB, patch)
2009-10-22 22:54 PDT, Serge Gautherie (:sgautherie)
no flags Details | Diff | Splinter Review
(Bv1a-SM) Update SeaMonkey [Checkin: Comment 12] (8.10 KB, patch)
2009-11-09 20:18 PST, Serge Gautherie (:sgautherie)
neil: review+
Details | Diff | Splinter Review
(Cv1-SM-191) "Unfork" (and fix) pageInfo.xul [Checkin: Comment 14] (2.31 KB, patch)
2009-11-13 07:04 PST, Serge Gautherie (:sgautherie)
neil: review+
kairo: approval‑seamonkey2.0.1+
Details | Diff | Splinter Review

Description Serge Gautherie (:sgautherie) 2009-10-08 12:50:08 PDT

    
Comment 1 Serge Gautherie (:sgautherie) 2009-10-22 21:25:39 PDT
This is needed at least to fix packaging warnings like
{
Warning: package error or possible missing or unnecessary file: bin/res/viewsource.css (packages, 386).
}
Comment 2 Serge Gautherie (:sgautherie) 2009-10-22 22:53:33 PDT
Created attachment 407946 [details] [diff] [review]
(Av1) Update MailNews Core
[Checkin: See comment 9]
Comment 3 Serge Gautherie (:sgautherie) 2009-10-22 22:54:17 PDT
Created attachment 407947 [details] [diff] [review]
(Bv1-SM) Update SeaMonkey
Comment 4 Robert Kaiser 2009-10-23 05:30:35 PDT
Comment on attachment 407947 [details] [diff] [review]
(Bv1-SM) Update SeaMonkey

Passing this off the Neil, don't want to be blamed for reviewing a change that makes us preprocess a .js file ;-)
Comment 5 neil@parkwaycc.co.uk 2009-10-23 06:12:52 PDT
Comment on attachment 407947 [details] [diff] [review]
(Bv1-SM) Update SeaMonkey

>diff --git a/suite/browser/pageinfo/pageInfo.xul b/suite/browser/pageinfo/pageInfo.xul
>-#ifdef MOZILLA_1_9_1_BRANCH
At least we can unfork this on branch now ;-)

> #ifndef MOZILLA_1_9_1_BRANCH
> components/nsPostUpdateWin.js
> #endif
> #else
> xpicleanup
> #endif
>+#ifndef MOZILLA_1_9_2_BRANCH
>+res/arrow.gif
>+res/arrowd.gif
>+#endif
> #ifndef MOZILLA_1_9_1_BRANCH
> res/broken-image.gif
> #ifndef MOZILLA_1_9_2_BRANCH
>+res/broken-image.png
> res/charsetalias.properties
> res/charsetData.properties
> #endif
> #endif
> res/cmessage.txt
>+#ifndef MOZILLA_1_9_2_BRANCH
>+res/forms.css
>+res/hiddenWindow.html
>+res/html.css
>+#endif
> #ifndef MOZILLA_1_9_1_BRANCH
> res/loading-image.gif
> #ifndef MOZILLA_1_9_2_BRANCH
>+res/loading-image.png
>+res/mathml.css
>+res/quirk.css
>+res/ua.css
> res/unixcharset.properties
>+res/viewsource.css
> res/wincharset.properties
> #endif
> #endif
This is just too confusing. Can we clean up the existing 1_9_1 stuff first?
Comment 6 neil@parkwaycc.co.uk 2009-10-23 06:15:55 PDT
Comment on attachment 407947 [details] [diff] [review]
(Bv1-SM) Update SeaMonkey

>+#ifdef MOZILLA_1_9_2_BRANCH
> const gViewSourceCSS = 'resource://gre/res/viewsource.css';
>+#else
>+const gViewSourceCSS = 'resource://gre-resources/viewsource.css';
>+#endif
gre-resources doesn't exist on 1_9_2 at all, right? I wonder whether there's a way of mapping it to gre/res ;-)
Comment 7 neil@parkwaycc.co.uk 2009-10-23 06:32:49 PDT
Just drop this into a suitable jar.mn:
#ifdef MOZILLA_1_9_2_BRANCH
% resource gre-resources resource://gre/res/
#endif
Comment 8 Serge Gautherie (:sgautherie) 2009-10-23 15:17:30 PDT
(In reply to comment #7)
> % resource gre-resources resource://gre/res/

I filed bug 524216.
Comment 9 Serge Gautherie (:sgautherie) 2009-11-09 19:37:19 PST
Comment on attachment 407946 [details] [diff] [review]
(Av1) Update MailNews Core
[Checkin: See comment 9]


http://hg.mozilla.org/comm-central/rev/742a93026723
Av1, with unified m-1.9.2/m-c code only :-)
Comment 10 Serge Gautherie (:sgautherie) 2009-11-09 20:18:25 PST
Created attachment 411355 [details] [diff] [review]
(Bv1a-SM) Update SeaMonkey
[Checkin: Comment 12]

Bv1-SM, with comment 5 and comment 6 suggestion(s).

Please, double-check pageInfo.xul which used '/res' and not 'gre/res'.
(I also wants to know if that needs fixing on c-1.9.1 too!)
Comment 11 neil@parkwaycc.co.uk 2009-11-13 02:09:18 PST
(In reply to comment #10)
> Please, double-check pageInfo.xul which used '/res' and not 'gre/res'.
> (I also wants to know if that needs fixing on c-1.9.1 too!)
resource:/// points to the location of seamonkey.exe
resource://gre/ points to the location of separate xulrunner (if any)
So pageInfo.xul is broken on xulrunner builds.
Comment 12 Serge Gautherie (:sgautherie) 2009-11-13 06:40:38 PST
Comment on attachment 411355 [details] [diff] [review]
(Bv1a-SM) Update SeaMonkey
[Checkin: Comment 12]


http://hg.mozilla.org/comm-central/rev/f0720e6edac8
Comment 13 Serge Gautherie (:sgautherie) 2009-11-13 07:04:16 PST
Created attachment 412209 [details] [diff] [review]
(Cv1-SM-191) "Unfork" (and fix) pageInfo.xul
[Checkin: Comment 14]

Unforking, per your comment 5.
Fixing, per your comment 11, as I understood it. (Please, double-check.)
Comment 14 Serge Gautherie (:sgautherie) 2009-12-01 09:12:50 PST
Comment on attachment 412209 [details] [diff] [review]
(Cv1-SM-191) "Unfork" (and fix) pageInfo.xul
[Checkin: Comment 14]


http://hg.mozilla.org/releases/comm-1.9.1/rev/98bdec50ab29
Comment 15 Serge Gautherie (:sgautherie) 2009-12-01 09:34:48 PST
Bug 530010 is doing TB part...
I filed bug 532122 about "Calendar".
Comment 16 Robert Kaiser 2009-12-09 07:24:21 PST
Is this fixed-seamonkey2.0.1 then? If so, we should add that keyword...
Comment 17 Serge Gautherie (:sgautherie) 2009-12-09 10:23:44 PST
(In reply to comment #16)

Yes: I forgot to set it on this bug.

Note You need to log in before you can comment on or make changes to this bug.